<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core" xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.study.department.add')}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2" columnClasses="width200px" style="width: 100%">
				<h:outputText value="#{facesContext.translate('tooltip.vargroup.element')}" />
				<ship:buttongroup>
					<ui:repeat value="#{studyModel.parents}" var="b" varStatus="status">
						<p:commandButton id="btn_breadcrumb" action="#{studyController.toWelcome(b.id)}" ajax="false" value="#{b.name}" immediate="true" styleClass="breadcrumbbutton" disabled="#{b.parent == null}" />
					</ui:repeat>
				</ship:buttongroup>
			</p:panelGrid>
			<ship:card id="card1" title="#{facesContext.translate('label.study.usage.browser')}">
				<p:panelGrid columns="2" columnClasses="width200px" style="width: 100%">
					<h:outputText value="#{facesContext.translate('label.techname')}" />
					<p:inputText id="name" value="#{studyModel.variable.name}" style="width: 99%" required="#{!studyController.cancelling}" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.name')}" />
					<h:outputText value="#{facesContext.translate('label.guiname')}" />
					<ship:inputJson id="descr" value="#{studyModel.variable.translationJson}" type="translation" typerestriction="#{studyModel.variable.localesJson}" width="99%" labelall="#{facesContext.translate('label.display.all.translations')}" />
				</p:panelGrid>
			</ship:card>
			<ship:card id="card2" title="#{facesContext.translate('label.study.usage.report')}">
				<p:panelGrid columns="2" columnClasses="width200px" style="width: 100%">
					<h:outputText value="#{facesContext.translate('label.study.variable.missinglist')}" />
					<p:selectOneMenu value="#{studyModel.variable.fkMissinglist}" style="width: 95%">
						<f:selectItem itemValue="" itemLabel="#{facesContext.translate('label.missinglist.inherit')}" />
						<f:selectItems value="#{studyModel.missinglists}" var="ml" itemValue="#{ml.id}" itemLabel="#{ml.name}" />
					</p:selectOneMenu>
				</p:panelGrid>
			</ship:card>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_add" action="#{studyController.doAddElement}" ajax="false" value="#{facesContext.translate('button.approve')}" />
			<p:commandButton id="btn_cancel" action="#{studyController.toWelcome(studyModel.element.id)}" ajax="false" value="#{facesContext.translate('button.cancel')}" immediate="true" />
		</ui:define>
		<ui:define name="help_de">
			Zum Anlegen eines neuen Bereichs müssen sein Name und ein Label definiert werden. Weiterthin kann eine Missingliste zugeordnet oder die des übergeordneten Bereichs verwendet werden. Ein Bereich fasst Variablen und/oder weitere Unterbereiche zusammen. <br />
			<br />

Der neue Bereich wird auf der Ebene angelegt, auf der sich der Nutzer gerade befindet. Zur Orientierung finden Sie den Pfad zum aktuellen Bereich im Hierarchiebaum in der ersten Zeile.
		</ui:define>
		<ui:define name="help_en">
			To create a new study section, its name and its label must be defined. Also a missing list can be assigned or the missing list of the superior section can be used. A section usually contains variables and/or sub-sections. <br />
			<br />

The new section is created at the current level of the hierarchy. To check which level is active the path in the hierarchy to the current level is displayed in the first row.
		</ui:define>
	</ui:composition>
</h:body>
</html>
